.editor {
    padding-bottom: 88px;

    @media screen and (min-width: $ui-breakpoint-xs-min) {
        padding-bottom: 98px;
    }

    @media screen and (min-width: $ui-breakpoint-lg-min) {
        padding-bottom: 70px;
    }
}

.editor__title {
    font-family: Montserrat, sans-serif;
    font-size: 26px;
    line-height: 1.08;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
    color: $ui-color-tetriary;
    margin-bottom: 27px;

    @media screen and (min-width: $ui-breakpoint-xs-min) {
        font-size: 42px;
        line-height: 1;
        margin-bottom: 33px;
    }

    @media screen and (min-width: $ui-breakpoint-lg-min) {
        font-size: 54px;
        margin-bottom: 35px;
    }
}

.editor__text {
    font-family: Lato, sans-serif;
    font-size: 14px;
    line-height: 1.43;
    text-align: center;
    color: $ui-color-dark-text;
    margin-bottom: 36px;

    @media screen and (min-width: $ui-breakpoint-xs-min) {
        font-size: 21px;
        line-height: 1.52;
    }
}

.editor__buttons-wrapper {
    @include flex-center;
    flex-wrap: wrap;
    gap: 10px;
}

.github-button {
    display: flex;
    border: 1px solid $ui-color-github-btn-border;
    border-radius: 6px;
}

.github-button__text-wrapper {
    @include flex-center;
    gap: 5px;
    padding: 3px 12px;
    background-color: $ui-color-github-btn-bg;
}

.github-button__text {
    font-size: 12px;
    line-height: 1.67;
    font-weight: 700;
}

.github-button__counter {
    padding: 3px 12px;
    font-size: 12px;
    line-height: 1.67;
    font-weight: 700;
}
